## telepathy-sofiasip 0.4.1-0osso1

=== debian/changelog ===
telepathy-sofiasip (0.4.1-0osso1) unstable; urgency=low

  * Never destroy the register use handle prematurely, as it makes Sofia-SIP
  crash. Also removed a race condition between a 200 response from the server
  and a disconnection operation that might skip the necessary un-REGISTER.
  Fixes: NB#72489.

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Thu, 11 Oct 2007 14:06:47 +0300

telepathy-sofiasip (0.4.0-0osso1) unstable; urgency=low

  * A stable release 0.4.0.
  * Removed the atavistic session ID code copied from Gabble.
  Fixes: NB#72642

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Wed, 10 Oct 2007 18:32:24 +0300

telepathy-sofiasip (0.3.31-0osso1) unstable; urgency=low

  * Map the 'discover-binding' connection manager parameter to NUA outbound
  option 'natify', to give the user a bigger kludge against broken proxies.
  * Emit StreamRemoved for the media channel whenever a stream is closed.
  * Consistently emit Closed whenever the text channel is closed.
  Fixes: NB#72044
  * Prevent false positives coming from different requests when detecting
  auth loops. Fixes: NB#72016
  * Authenticate BYE requests when challenged. Fixes: NB#71949
  * Error reporting fixes for text channel.

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Fri,  5 Oct 2007 14:43:24 +0300

telepathy-sofiasip (0.3.30-0osso2) unstable; urgency=low

  * Avoid using g_hash_table_remove_all() introduced only in glib 2.12
  * SIPMediaChannel: map a 404 status code to GroupChangeReason.Offline
    The reason is, many proxies return this status code for known user
    names which are currently offline. Fixes: NB#56405
  * SipMediaSession: if invite was received, properly remove the caller from
    the members so that MC registers the missed call. Fixes: NB#64973
  * sip_conn_create_register_handle.c: create a handle even if To: isn't used.
    Fixes: NB#71055

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Wed, 26 Sep 2007 10:48:38 +0300

telepathy-sofiasip (0.3.30-0osso1) unstable; urgency=low

  * Add transport parameter to the Contact URI when transport is
  set to TCP or UDP. Fixes: NB#68136.
  * Introduced the minimum to effective keepalive interval, to prevent
  accidental abuse of network traffic. Fixes: NB#68157.
  * Removed the still embryonic HTTP proxy support.
  * Fall back to the 'auth-user' value, or to the account user name,
  to authenticate in foreign domains if 'extra-auth-user' is not given.
  * Take care to treat certain Reason header values in an incoming CANCEL
  request as an indication that the user has attended the call elsewhere.
  * Miscellaneous small fixes and code cleanups.

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Thu, 20 Sep 2007 15:22:09 +0300

telepathy-sofiasip (0.3.29-0osso1) unstable; urgency=low

  * Don't assert after fmtp parameter parsing if the line contains whitespace.
  * Use GroupChangeReason.Offline to signal the 480 status received
  from a call peer. Fixes: NB#56405.
  * Set streams to sending after re-INVITE completion. Fixes: NB#68567.
  * Removed a leftover reference to a Sofia STUN header.

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Thu,  6 Sep 2007 16:18:16 +0300

telepathy-sofiasip (0.3.28-0osso1) unstable; urgency=low

  * Implemented a two-way mapping between codec parameters in Telepathy
  and fmtp attributes in SDP.
  * Fixes to handle an early SDP answer.
  * Reverted the discover-binding behavior as the change didn't solve the
  interop problems it was hoped to.
  * Sofia logs are now made through syslog.

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Tue,  4 Sep 2007 17:30:46 +0300

telepathy-sofiasip (0.3.27-0osso1.1) unstable; urgency=low

  * A stronger implementation of discover-binding parameter false case
  by disabling the "natify" outbound option instead of mere "use-rport".

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Fri,  3 Aug 2007 17:13:42 +0300

telepathy-sofiasip (0.3.27-0osso1) unstable; urgency=low

  * Properly raise the error in case of calling yourself.
  * Fixed a potential crash in the authentication handler.
  * Prevent stream handlers from defaulting the sending state to true.
  * Implemented rollback on failed incoming session offers.
  * Pruned the advertized list of allowed SIP methods to the ones we really try
  to support.

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Fri,  3 Aug 2007 16:23:00 +0300

telepathy-sofiasip (0.3.26-0osso1) unstable; urgency=low

  * Replaced an over-assertive assertion with a runtime check.
  Fixes: NB#64302, MB#1692.
  * Added 'discover-stun' parameter as means to disable STUN altogether.
  * STUN server name resolution fixed for failure cases.

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Thu, 26 Jul 2007 14:05:07 +0300

telepathy-sofiasip (0.3.25-0osso1) unstable; urgency=low

  * More bug fixes and interoperability enhancements in call handling.
  * Tightened the handle normalization heuristic on what constitutes
  a phone number.
  * Add user=phone parameter to the URI when we decide the handle represents
  a phone number.
  * Sofia-SIP version requirement bumped to 1.12.5 to reflect the tag usage.

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Thu, 12 Jul 2007 17:19:21 +0300

telepathy-sofiasip (0.3.24-0osso1) unstable; urgency=low

  * Fixed the problem with stream rejection. Fixes: NB#62850, NB#62867

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Tue, 10 Jul 2007 18:48:36 +0300

telepathy-sofiasip (0.3.23-0osso1) unstable; urgency=low

  * More bug fixes in SOA. Fixes: NB#62551, NB#62732.
  * Enabled custom response handling for incoming MESSAGE requests.

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Mon,  9 Jul 2007 20:30:56 +0300

telepathy-sofiasip (0.3.22-0osso1) unstable; urgency=low

  * Fixed a paperikassi bug introduced in the previous release
  that disabled sending for streams in an outgoing call.
  Fixes: NB#62591, NB#62544
  * Comprehensively use pending send flags to prevent media from being sent

