## telepathy-sofiasip 0.4.5-0osso1

=== debian/changelog ===
telepathy-sofiasip (0.4.5-0osso1) unstable; urgency=low

  * Fix another early media sending issue.
  * This one is for integration -- previous release Fixes: NB#76983

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Mon, 26 Nov 2007 13:01:48 +0200

telepathy-sofiasip (0.4.4-0osso2) unstable; urgency=low

  * Removed the bandwidth modifiers for RTCP (RFC 3556) from SDP,
  because of alleged iop problems with some Cisco gateways.

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Fri, 16 Nov 2007 14:14:38 +0200

telepathy-sofiasip (0.4.4-0osso1) unstable; urgency=low

  * Prevent the Sofia-SIP stack from switching to TCP for large requests
  if the transport is specified as UDP. The default transport behavior remains
  as specified in RFC 3261. Fixes: NB#75431
  * If 'local-ip-address' has been set for the connection, match media
  stream local transport candidates against it as the preferable
  address to use.
  * Validate the status message text received over the wire before sending
  it to DBus as UTF-8 strings.

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Fri,  9 Nov 2007 15:18:29 +0200

telepathy-sofiasip (0.4.3-0osso1) unstable; urgency=low

  * Fixed a crash when the account URI was specified incorrectly.
  * Make sure to close and destroy all the channels when the connection
  goes down. Fixes: NB#74301
  * Resolved reference counting and lifecycle issues between media channel
  and session objects.

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Tue, 30 Oct 2007 18:18:42 +0200

telepathy-sofiasip (0.4.2-0osso1) unstable; urgency=low

  * Resolved some ambiguities and race conditions in media session
  state machine by adding one more state. Fixes: NB#73309
  * New connection manager parameters 'local-ip-address' and 'local-port',
  to nail down the local socket binding in pathological IOP cases.
  May fix NB#72666

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Wed, 24 Oct 2007 13:43:54 +0300
