## telepathy-sofiasip 0.5.4-0osso7

=== debian/changelog ===
telepathy-sofiasip (0.5.4-0osso7) unstable; urgency=low

  * Fixed a race condition in updating pending send flags. Fixes: NB#85705

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Tue, 20 May 2008 19:11:52 +0300

telepathy-sofiasip (0.5.4-0osso6) unstable; urgency=low

  * Fixed a regression in handling newly requested streams during an ongoing
  negotiation. Fixes: NB#85250, NB#85251, NB#85118
  * Make sure the call channel is always closed after a remote error
  response is received and signalled as peer member removal.

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Wed, 14 May 2008 15:19:17 +0300

telepathy-sofiasip (0.5.4-0osso5) unstable; urgency=low

  * Revamped behavior regarding Telepathy stream direction and pending send
  flags, to conform better to the specification and Gabble implementation.

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Fri,  2 May 2008 16:58:27 +0300

telepathy-sofiasip (0.5.4-0osso4) unstable; urgency=low

  * 'loose-routing' defaults to false. Fixes: NB#80328

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Tue, 18 Mar 2008 20:40:34 +0200

telepathy-sofiasip (0.5.4-0osso3) unstable; urgency=low

  * Removed premature optimization in the call state transition
  to 'active'. Fixes: NB#81258

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Mon, 25 Feb 2008 17:49:52 +0200

telepathy-sofiasip (0.5.4-0osso2) unstable; urgency=low

  * Backported the fix for 'keepalive-internal' default from trunk.

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Wed, 20 Feb 2008 17:23:47 +0200

telepathy-sofiasip (0.5.4-0osso1) unstable; urgency=low

  * Treat empty string parameters as unset. Fixes: NB#80548
  * Added connection parameter 'loose-routing' to allow disabling
  RFC 3261 compliant SIP routing headers for legacy behavior,
  as implemented in the 0.4 branch and earlier. Partial fix for NB#80328.
  * Serialize codec intersections. Fixes: NB#80675

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Fri, 15 Feb 2008 17:58:26 +0200

telepathy-sofiasip (0.5.3-0osso1) unstable; urgency=low

  * More media session fixes and code cleanups. Fixes: NB#79396

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Wed,  6 Feb 2008 17:02:56 +0200

telepathy-sofiasip (0.5.2-0osso1) unstable; urgency=low

  * Removed an assertion on unexpected session state, as session
  states in question can in fact occur. Fixes: NB#69855
  * Further offer-answer fortifications to prevent violations of
  RFC 3264 due to concurrent locally requested changes.

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Thu, 31 Jan 2008 18:17:27 +0200

telepathy-sofiasip (0.5.1-0osso1) unstable; urgency=low

  * Changed behaviour of SOFIASIP_DEBUG and SOFIASIP_PERSIST to match recent
  Gabble.
  * Fixed a parameter list corruption bug introduced in 0.5.0.
  * Session offer-answer fixes for cases when new streams are added
  in the middle of an ongoing negotiation.

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Thu, 10 Jan 2008 13:46:48 +0200

telepathy-sofiasip (0.5.0-0osso1) unstable; urgency=low

  * Opened the new development branch.
  * Moved the executable to libexecdir.
  * Added a manpage for telepathy-sofiasip.
  * Use the initial route set as means to specify the outbound proxy.
  * Fixes for call channel flags (sf.net bug #1840543).
  * Added optional support for coverage instrumentation.
  * Postpone session state handling until local streams are ready.

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Thu,  3 Jan 2008 16:17:01 +0200
