## telepathy-sofiasip 0.5.4-0osso10

=== debian/changelog ===
telepathy-sofiasip (0.5.4-0osso10) unstable; urgency=low

  * Find the text channel object from an outgoing message request handle
  without looking into SIP headers. Fixes: NB#87514 

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Wed, 20 Aug 2008 18:50:56 +0300

telepathy-sofiasip (0.5.4-0osso9) unstable; urgency=low

  * Added a SIP connection manager parameter "pt-number-blacklist",
  which is passed as "codec-id-blacklist" property on the
  StreamingMedia channel. Fixes: NB#74120

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Mon,  9 Jun 2008 11:57:50 +0300

telepathy-sofiasip (0.5.4-0osso8) unstable; urgency=low

  * Cope with a glare condition on re-INVITE. Fixes: NB#85836

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Wed,  4 Jun 2008 17:52:59 +0300
