=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Mikhail Zabaluev <mikhail.zabaluev@nokia.com>
 Uploaders: Kai Vehmanen <first.surname@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), cdbs, libdbus-glib-1-dev (>= 0.60-1osso10), libexpat1-dev, libsofia-sip-ua-dev (>= 1.12.5), libsofia-sip-ua-glib-dev, libtelepathy-glib-dev (>= 0.5.13), libssl-dev
+Build-Depends: debhelper (>= 4.0.0), cdbs, libdbus-glib-1-dev (>= 0.60-1osso10), libexpat1-dev, libsofia-sip-ua-dev (>= 1.12.7), libsofia-sip-ua-glib-dev (>= 1.12.7), libtelepathy-glib-dev (>= 0.5.13), libssl-dev
 Standards-Version: 3.6.0
 Section: comm
