=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 DEB_DH_INSTALL_SOURCEDIR=debian/tmp
 DEB_DESTDIR=$(CURDIR)/debian/tmp
-
+DEB_CONFIGURE_LIBEXECDIR=/usr/lib/telepathy
 DEB_CONFIGURE_PREFIX=/usr
 DEB_CONFIGURE_SYSCONFDIR=/etc
 DEB_DH_STRIP_ARGS=--dbg-package=telepathy-sofiasip
@@ -16,6 +16,9 @@
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -mthumb
 endif
+ifneq (,$(findstring coverage,$(DEB_BUILD_OPTIONS)))
+        DEB_CONFIGURE_EXTRA_FLAGS += --enable-coverage
+endif
 
 makebuilddir/telepathy-sofiasip::
 	autoreconf -v --install
