## telepathy-sofiasip 0.5.18-0maemo3+0m5

=== debian/changelog ===
telepathy-sofiasip (0.5.18-0maemo3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- reto zingg <reto.zingg@nokia.com>  Mon, 21 Sep 2009 12:02:53 +0300

telepathy-sofiasip (0.5.18-0maemo3) unstable; urgency=low

  * Use heartbeat more carefully, with per-connection wakeups timed
  in accordance with actual keepalive intervals.
  Fixes: NB#117762 - Enable heartbeat support in telepathy-sofiasip

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Wed, 16 Sep 2009 19:30:36 +0300

telepathy-sofiasip (0.5.18-0maemo2) unstable; urgency=low

  * Eliminate race conditions in hold/unhold code.
  Fixes: NB#135993 - telepathy-sofiasip crash observed while swapping calls

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Mon,  7 Sep 2009 12:26:11 +0300

telepathy-sofiasip (0.5.18-0maemo1) unstable; urgency=low

  * Upstream release 0.5.18.
  * Don't delay the final 200 response to incoming messages.
  Fixes: NB#134252 - Sometimes Message View doesn't display Sent Chat Messages
  * Use sips: scheme in URI normalization when TLS transport
  is selected.

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Thu, 27 Aug 2009 16:07:02 +0300

telepathy-sofiasip (0.5.17-0maemo3) unstable; urgency=low

  * Treat 183 Session Progress response with setting the Ringing call state.
  (quickly) Fixes: NB#124737 - no ringtone heard when placing a SIP call
  to PSTN via Eutelia

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Wed, 19 Aug 2009 18:50:34 +0300

telepathy-sofiasip (0.5.17-0maemo2) unstable; urgency=low

  * Added --with-iphb to the build flags, to actually enable heartbeat support.
  Fixes: NB#117762 - Enable heartbeat support in telepathy-sofiasip

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Fri,  7 Aug 2009 14:50:44 +0300

telepathy-sofiasip (0.5.17-0maemo1) unstable; urgency=low

  * Do not check an unwarranted handle assertion (fd.o bug #17751).

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Fri, 24 Jul 2009 21:34:56 +0300

telepathy-sofiasip (0.5.16-0maemo2) unstable; urgency=low

  * Using iphb as a trigger for keepalives.
  Fixes: NB#117762 - Enable heartbeat support in telepathy-sofiasip

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Sat, 27 Jun 2009 00:15:00 +0300

telepathy-sofiasip (0.5.16-0maemo1) unstable; urgency=low

  * Updated to Telepathy specification 0.17.22:
  always allow self handle to leave Group for call channels
  (fd.o bug #20733). Correspondingly, bumped the libtelepathy-glib minimal
  version to 0.7.27.
  * Emit MembersChanged with proper actor on call channels terminated locally.
  Fixes: NB#107320 - Rejected SIP calls are recorded as missed calls
  * Map the 404 response status to member removal reason NoAnswer
  if the call peer has been contacted.
  Fixes: NB#104463 - [SIP] "No answer" banner is not shown

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Tue, 14 Apr 2009 19:21:23 +0300

telepathy-sofiasip (0.5.15-0maemo2) unstable; urgency=low

  * Don't destroy the media session object before closing the channel
  on dispose. Fixes: NB#102874

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Tue, 24 Feb 2009 19:56:32 +0200

telepathy-sofiasip (0.5.15-0maemo1) unstable; urgency=low

  * Use the error code Invalid_Handle for failed handle normalization,
  as per recent revisions of telepathy-spec (fd.o bug #19612).
  * Ignore provisional responses to a MESSAGE. Fixes: NB#95291
  * Handle an incoming BYE with a proper media channel group change.
  Fixes: NB#100362
  * Restored the backwards compatible behavior of AddMembers on a media
  channel (fd.o bug #19652).
  * Updated the coverage instrumentation support, with lcov reports,
  taken from telepathy-gabble.
  * Fixed issues reported by Coverity static analysis checks.

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Tue, 10 Feb 2009 15:15:18 +0200

telepathy-sofiasip (0.5.14-0maemo1) unstable; urgency=low

  * Bumped up the Sofia-SIP requirement to 1.12.10, to avoid a crasher bug
  in earlier versions.
  * Changed the package suffix to maemo.

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Tue, 13 Jan 2009 15:50:21 +0200

telepathy-sofiasip (0.5.13-0osso2) unstable; urgency=low

  * Zero-initialize the GValue for the alias pair. Fixes: NB#94653

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Tue, 16 Dec 2008 19:25:27 +0200

telepathy-sofiasip (0.5.13-0osso1) unstable; urgency=low

  * Fixed a few brown paper bag bugs with the new interfaces and properties
  on the media channel.

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Fri, 28 Nov 2008 18:24:23 +0200

telepathy-sofiasip (0.5.12-0osso2) unstable; urgency=low

  * Do advertise Requests interface as supported by the connection.
  Fixes: NB#93704

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Thu, 27 Nov 2008 16:59:11 +0200

telepathy-sofiasip (0.5.12-0osso1) unstable; urgency=low

  * Implemented Telepathy spec 0.17.15, compatible with 0.17.14.
  * Implemented the Requests interface on connections.
  The factories have been switched to implement TpChannelManager. 

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Wed, 26 Nov 2008 16:41:07 +0200

telepathy-sofiasip (0.5.11-0osso1) unstable; urgency=low

  * Migrated the source repository to Git.
  * Updated to telepathy spec 0.17.13.
  * Improved handle normalization.
  * Implemented the Aliasing interface for connections, returning a
  simplified rendering of remote SIP URIs. The alias for the self handle
  is now settable and transfers to the display name in the From: header.
  * The signal MembersChanged in call channels now follows protocol events
  more accurately.
  * Removed the hardcoded timeout for outgoing INVITE requests.
  * The final 200 response for an incoming MESSAGE now follows Telepathy
  acknowledgement for the message.
  * A Text channel is reopened if closed by the client while still having
  unacknowledged messages.
  * Depends on glib 2.16 or later.

