## telepathy-sofiasip 0.5.18-0maemo4%2b0m5

=== debian/changelog ===
telepathy-sofiasip (0.5.18-0maemo4+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- reto zingg <reto.zingg@nokia.com>  Thu, 15 Oct 2009 14:28:26 +0300

telepathy-sofiasip (0.5.18-0maemo4) unstable; urgency=low

  * Normalize the alias for self handle, and properly format it into a
  double-quoted string for the SIP From header.
  Fixes: NB#140600 - Invite rejected with 400 Bad From Header 

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Wed, 30 Sep 2009 17:52:23 +0300
