=== debian/rules ===
--- 
+++ 
@@ -10,15 +10,17 @@
 DEB_CONFIGURE_SYSCONFDIR=/etc
 DEB_DH_STRIP_ARGS=--dbg-package=telepathy-sofiasip
 
-DEB_CONFIGURE_EXTRA_FLAGS=--enable-syslog
+DEB_CONFIGURE_EXTRA_FLAGS = --enable-syslog --with-iphb
 
 # Use soft-float and thumb mode if it enabled.
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -mthumb
 endif
 ifneq (,$(findstring coverage,$(DEB_BUILD_OPTIONS)))
-        DEB_CONFIGURE_EXTRA_FLAGS += --enable-coverage
+        DEB_CONFIGURE_EXTRA_FLAGS += --enable-compiler-coverage
 endif
 
-makebuilddir/telepathy-sofiasip::
-	autoreconf -v --install
+pre-build:: configure
+
+configure:
+	ACLOCAL=aclocal-1.9 AUTOMAKE=automake-1.9 autoreconf -v --install
