## telepathy-sofiasip 0.5.18-0maemo4+0m5

=== debian/control ===
Source: telepathy-sofiasip
Priority: optional
Maintainer: Mikhail Zabaluev <mikhail.zabaluev@nokia.com>
Uploaders: Kai Vehmanen <first.surname@nokia.com>
Build-Depends: debhelper (>= 4.0.0),
               cdbs,
               libglib2.0-dev (>= 2.16),
               libdbus-glib-1-dev (>= 0.60-1osso10),
               libiphb-dev,
               libsofia-sip-ua-dev (>= 1.12.10-0maemo2),
               libsofia-sip-ua-glib-dev (>= 1.12.10-0maemo2),
               libtelepathy-glib-dev (>= 0.7.27),
               libssl-dev,
               xsltproc,
               python2.5-xml
Standards-Version: 3.8.0
Section: comm

Package: telepathy-sofiasip
Architecture: any
Section: comm
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SIP connection manager for Telepathy
 Telepathy-sofiasip is a SIP connection manager for Telepathy 
 framework, implemented using the Sofia-SIP libraries.

Package: telepathy-sofiasip-dbg
Section: devel
Architecture: any
Depends: telepathy-sofiasip (= ${binary:Version})
Description: SIP connection manager for Telepathy. Debug symbols
 Telepathy-sofiasip is a SIP connection manager for Telepathy 
 framework, implemented using the Sofia-SIP libraries.
 .
 This package contains debug symbols for telepathy-sofiasip.
