## telepathy-sofiasip 0.6.0-0maemo2%2b0m5

=== debian/changelog ===
telepathy-sofiasip (0.6.0-0maemo2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Mahawadhi Ratna <ext-ratna.2.mahawadhi@nokia.com>  Mon, 22 Feb 2010 13:49:27 +0200

telepathy-sofiasip (0.6.0-0maemo2) unstable; urgency=low

  * Retroactively pushing an omitted bugfix entry:
  Fixes: NB#154195 - Crash observed while making a call to own sip account
  * Updated the build dependency version on telepathy-glib to match configure

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Mon, 15 Feb 2010 18:05:51 +0200

telepathy-sofiasip (0.6.0-0maemo1) unstable; urgency=low

  * Stable upstream release 0.6.0.
  * Supports the new StreamHandler interface method CodecsUpdated.
  Fixes: NB#110690 - CodecsUpdated is not implemented
  * Revisited code controlling stream directionality and pending flags
  (fd.o #26070).
  * Made critical warnings fatal again, after telepathy-glib stopped doing so.
  (fd.o #26153).
  * Try to disable locally originated re-INVITES as much as possible
  when 'immutable-streams' parameter is true (fd.o #26387).
  * Implemented the Debug interface (fd.o #26388).
  * Implemented the DBus properties of Media.StreamHandler (fd.o #26384).
  * Build fixes and improvements.
  * Support configure option --enable-silent-rules if using Automake >= 1.11

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Mon, 15 Feb 2010 16:51:02 +0200

telepathy-sofiasip (0.5.19-0maemo3) unstable; urgency=low

  * Implemented properties InitialAudio, InitialVideo, and ImmutableStreams.
  Fixes: NB#151363 - SIP: Support InitialAudio and InitialVideo properties
  * Introduced the connection manager parameter 'immutable-streams' to
  disable stream list changes mid-call, as well as hold.
  * Pass the ptime and maxptime attributes from remote SDP session and media
  descriptions as codec parameters. Values from a=fmtp are also considered. 
  Fixes: NB#148396 - Bad voice quality when calling to NVC from N900

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Fri,  8 Jan 2010 17:23:03 +0200

telepathy-sofiasip (0.5.19-0maemo2) unstable; urgency=low

  * Generate the full set of autotools files before the build.

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Wed,  2 Dec 2009 18:35:10 +0200

telepathy-sofiasip (0.5.19-0maemo1) unstable; urgency=low

  * Upstream release 0.5.19.
  * Implemented proper codec parameter formatting for telephone/event
  payloads, and the supporting infrastructure for more formats.
  (fd.o bug #24615) Fixes: NB#145161 - SIP call from N97 to N900 fails early
  * Ignore the trivial alias for self handle that is produced from the
  SIP URI.
  * Implemented call state In_Progress.
  * Properly flag password parameters as secret, also in the .manager file
  (fd.o bug #24561).
  * Autotools cleanups.

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Mon, 30 Nov 2009 20:24:25 +0200
