=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libiphb-dev,
                libsofia-sip-ua-dev (>= 1.12.10-0maemo2),
                libsofia-sip-ua-glib-dev (>= 1.12.10-0maemo2),
-               libtelepathy-glib-dev (>= 0.7.27),
+               libtelepathy-glib-dev (>= 0.8),
                libssl-dev,
                xsltproc,
                python2.5-xml
