## telepathy-sofiasip 0.6.2-0maemo1+0m5

=== debian/changelog ===
telepathy-sofiasip (0.6.2-0maemo1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.6.2-0maemo1+0m5

 -- Mahawadhi Ratna <ext-ratna.2.mahawadhi@nokia.com>  Wed, 31 Mar 2010 16:20:17 +0300

telepathy-sofiasip (0.6.2-0maemo1) unstable; urgency=low

  * Stable upstream release 0.6.2.
  * Only expose the legacy STUN properties when set to meaningful values.
  * Properly enable the debug category for Sofia-SIP log messages.
  * Fix a crash in Sofia logger (fd.o #26889).
  * Fixed a regression that leaked audio before the call was accepted.
  Fixes: NB#160712 - Audio is leaked before SIP call is accepted
  * On incoming call, emit the new channel with correct initial media
  properties.
  Fixes: NB#158897 - Possible to receive SIP video calls during an active call

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Wed, 17 Mar 2010 17:07:51 +0200
