=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
 Package: telepathy-sofiasip-dbg
 Section: devel
 Architecture: any
+Priority: extra
 Depends: telepathy-sofiasip (= ${binary:Version})
 Description: SIP connection manager for Telepathy. Debug symbols
  Telepathy-sofiasip is a SIP connection manager for Telepathy
