=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_AUTO_UPDATE_ACLOCAL=1.9
DEB_AUTO_UPDATE_AUTOMAKE=1.9
DEB_AUTO_UPDATE_AUTOCONF=yes
DEB_AUTO_UPDATE_AUTOHEADER=yes
DEB_AUTO_UPDATE_LIBTOOL=pre

DEB_CONFIGURE_LIBEXECDIR=/usr/lib/telepathy
DEB_CONFIGURE_PREFIX=/usr
DEB_CONFIGURE_SYSCONFDIR=/etc
DEB_CONFIGURE_EXTRA_FLAGS = --enable-syslog --with-iphb

# Use soft-float and thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif
ifneq (,$(findstring coverage,$(DEB_BUILD_OPTIONS)))
        DEB_CONFIGURE_EXTRA_FLAGS += --enable-compiler-coverage
endif

DEB_DESTDIR=$(CURDIR)/debian/tmp
DEB_DH_INSTALL_SOURCEDIR=debian/tmp
DEB_DH_STRIP_ARGS=--dbg-package=telepathy-sofiasip

pre-build:: config.guess config.sub config.h.in ltmain.sh

config.guess config.sub config.h.in ltmain.sh:
	ACLOCAL=aclocal-1.9 AUTOMAKE=automake-1.9 autoreconf --install --verbose

clean::
	rm -f m4/libtool.m4 m4/lt*.m4
