## telepathy-sofiasip 0.6.2-0maemo4%2b0m5

=== debian/changelog ===
telepathy-sofiasip (0.6.2-0maemo4+0m5) fremantle; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.6.2-0maemo4+0m5

 -- Mahawadhi Ratna <ext-ratna.2.mahawadhi@nokia.com>  Wed, 16 Jun 2010 14:31:01 +0300

telepathy-sofiasip (0.6.2-0maemo4) fremantle; urgency=low

  * Bumping up the version

 -- Adam Conrad <adconrad@collabora.co.uk>  Thu, 10 Jun 2010 14:35:03 +0300

telepathy-sofiasip (0.6.2-0maemo3) fremantle; urgency=low

  * Disable cast checks on non-debug builds. References NB#162166

 -- Adam Conrad <adconrad@collabora.co.uk>  Wed, 09 Jun 2010 15:11:28 -0600

telepathy-sofiasip (0.6.2-0maemo2) unstable; urgency=low

  * Addresses: NB#162905 - Possible to receive SIP video calls during an active call
  * Addresses: NB#162906 - Audio is leaked before SIP call is accepted

 -- Mikhail Zabaluev <mikhail.zabaluev@nokia.com>  Thu, 01 Apr 2010 10:35:04 +0300
