=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,9 @@
 ifneq (,$(findstring coverage,$(DEB_BUILD_OPTIONS)))
         DEB_CONFIGURE_EXTRA_FLAGS += --enable-compiler-coverage
 endif
+ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -DG_DISABLE_CAST_CHECKS
+endif
 
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 DEB_DH_INSTALL_SOURCEDIR=debian/tmp
