=== debian/control ===
Source: telepathy-sofiasip
Section: net
Priority: optional
Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
Uploaders: Dafydd Harries <daf@debian.org>,
           Simon McVittie <smcv@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>,
           Laurent Bigonville <bigon@debian.org>,
           Loic Minier <lool@dooz.org>,
           Jonny Lamb <jonny@debian.org>
Build-Depends: debhelper (>= 8),
               cdbs,
               libglib2.0-dev (>= 2.16),
               libdbus-1-dev (>= 0.60),
               libdbus-glib-1-dev (>= 0.60),
               libsofia-sip-ua-glib-dev (>= 1.12.10),
               libtelepathy-glib-dev (>= 0.13.9),
               libssl-dev,
               xsltproc,
               python,
               autotools-dev
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-telepathy/telepathy-sofiasip.git
Vcs-Browser: http://git.debian.org/?p=pkg-telepathy/telepathy-sofiasip.git
Homepage: http://telepathy.freedesktop.org/

Package: telepathy-sofiasip
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Provides: telepathy-connection-manager
Description: SIP connection manager for the Telepathy framework
 telepathy-sofiasip is a SIP connection manager for the Telepathy framework
 (http://telepathy.freedesktop.org) based on the SofiaSIP-stack.
