=== debian/watch ===
version=3
http://telepathy.freedesktop.org/releases/telepathy-sofiasip/telepathy-sofiasip-(.*)\.tar\.gz
